headless lms

List entitlements (staff)

GET /api/entitlements. List entitlements (staff). Headless LMS Entitlements API reference.

GET
/api/entitlements

Staff only (owner, admin, instructor).

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
pageSize?integer
Range1 <= value <= 100
Default20
search?string
Lengthlength <= 200
sort?string
status?string

Value in

  • "active"
  • "expired"
  • "revoked"
source?string
orgUserId?string
contentId?string
type?string

Value in

  • "course"
  • "download"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/entitlements"
{  "rows": [    {      "orgId": "string",      "id": "string",      "orgUserId": "string",      "bundleId": "string",      "contentId": "string",      "status": "active",      "source": "string",      "grantedAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "total": -9007199254740991,  "page": -9007199254740991,  "pageSize": -9007199254740991}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}